<?php

namespace Modules\PaymentLog\Enums;


Enum PaymentLogStatusEnum: int
{
    case MINUS = 0;
    case PLUS = 1;
    case RETURN = 2;
    case MINUS_DASHBOARD = 3;
    case PLUS_DASHBOARD = 4;

    public static function values()
    {
        return array_column(SELF::cases(),'value');
    }

    public static function operations()
    {
        return [
            SELF::MINUS->value,
            SELF::PLUS->value,
        ];
    }
    public static function dashboard_operations()
    {
        return [
            SELF::MINUS_DASHBOARD->value,
            SELF::PLUS_DASHBOARD->value,
        ];
    }
}
